import request from '@/utils/request'

// 查询培训计划未参加人员列表
export function listTrainingNon(query) {
  return request({
    url: '/training/trainingNon/list',
    method: 'get',
    params: query
  })
}

// 查询培训计划未参加人员详细
export function getTrainingNon(id) {
  return request({
    url: '/training/trainingNon/' + id,
    method: 'get'
  })
}

// 新增培训计划未参加人员
export function addTrainingNon(data) {
  return request({
    url: '/training/trainingNon',
    method: 'post',
    data: data
  })
}

// 修改培训计划未参加人员
export function updateTrainingNon(data) {
  return request({
    url: '/training/trainingNon',
    method: 'put',
    data: data
  })
}

// 删除培训计划未参加人员
export function delTrainingNon(id) {
  return request({
    url: '/training/trainingNon/' + id,
    method: 'delete'
  })
}

// 导出培训计划未参加人员
export function exportTrainingNon(query) {
  return request({
    url: '/training/trainingNon/export',
    method: 'get',
    params: query
  })
}
